Bug 1528815 - Review Request: librealsense1 - Cross-platform camera capture for Intel RealSense
Summary: Review Request: librealsense1 - Cross-platform camera capture for Intel RealS...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1534563
TreeView+ depends on / blocked
 
Reported: 2017-12-24 11:46 UTC by Till Hofmann
Modified: 2018-02-27 11:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-30 09:49:28 UTC
Type: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Till Hofmann 2017-12-24 11:46:37 UTC
Spec URL: https://thofmann.fedorapeople.org/librealsense1.spec
SRPM URL: https://thofmann.fedorapeople.org/librealsense1-1.12.1-11.fc28.src.rpm
Description: 
This project is a cross-platform library (Linux, OSX, Windows) for capturing
data from the Intel RealSense F200, SR300 and R200 cameras. This is a legacy
package to provide support for older camera hardware. For newer hardware, use
librealsense.

Fedora Account System Username: thofmann

See the change proposal why this is packaged separately from librealsense:
https://fedoraproject.org/wiki/Changes/librealsense2

Comment 1 Antonio T. (sagitter) 2017-12-24 16:06:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- doc subpackage does not provide an own license file.

- Header files in -devel subpackage, if present.
  Note: librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/include/librealsense/rs.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/include/librealsense/rsutil.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/archive.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/context.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/device.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/ds-device.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/ds-private.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/f200.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/hw-monitor.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/image.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/ivcam-device.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/ivcam-private.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/libuvc/libuvc.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/libuvc/libuvc_internal.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/motion-module.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/r200.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/sr300.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/stream.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/sync.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/timestamps.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/types.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/uvc.h
  librealsense1-debugsource :
  /usr/src/debug/librealsense1-1.12.1-11.fc28.x86_64/src/zr300.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "zlib/libpng BSL", "Unknown or generated", "zlib/libpng", "BSD
     (unspecified)", "BSD (2 clause)", "CC by (v3.0)", "*No copyright*
     Apache (v2.0)". 343 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1528815-librealsense1/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[-]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     librealsense1-doc , librealsense1-debuginfo ,
     librealsense1-debugsource
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: librealsense1-1.12.1-11.fc28.x86_64.rpm
          librealsense1-devel-1.12.1-11.fc28.x86_64.rpm
          librealsense1-doc-1.12.1-11.fc28.noarch.rpm
          librealsense1-debuginfo-1.12.1-11.fc28.x86_64.rpm
          librealsense1-debugsource-1.12.1-11.fc28.x86_64.rpm
          librealsense1-1.12.1-11.fc28.src.rpm
librealsense1.x86_64: W: obsolete-not-provided librealsense
librealsense1-devel.x86_64: W: obsolete-not-provided librealsense-devel
librealsense1-devel.x86_64: W: only-non-binary-in-usr-lib
librealsense1-devel.x86_64: W: no-documentation
librealsense1-doc.noarch: W: obsolete-not-provided librealsense-doc
librealsense1-debugsource.x86_64: W: no-documentation
librealsense1.src: W: spelling-error %description -l en_US librealsense -> liberalness
6 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: librealsense1-debuginfo-1.12.1-11.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
librealsense1.x86_64: W: invalid-url URL: https://github.com/IntelRealSense/librealsense <urlopen error [Errno -2] Name or service not known>
librealsense1.x86_64: W: obsolete-not-provided librealsense
librealsense1-devel.x86_64: W: invalid-url URL: https://github.com/IntelRealSense/librealsense <urlopen error [Errno -2] Name or service not known>
librealsense1-devel.x86_64: W: obsolete-not-provided librealsense-devel
librealsense1-devel.x86_64: W: only-non-binary-in-usr-lib
librealsense1-devel.x86_64: W: no-documentation
librealsense1-debugsource.x86_64: W: invalid-url URL: https://github.com/IntelRealSense/librealsense <urlopen error [Errno -2] Name or service not known>
librealsense1-debugsource.x86_64: W: no-documentation
librealsense1-doc.noarch: W: invalid-url URL: https://github.com/IntelRealSense/librealsense <urlopen error [Errno -2] Name or service not known>
librealsense1-doc.noarch: W: obsolete-not-provided librealsense-doc
librealsense1-debuginfo.x86_64: W: invalid-url URL: https://github.com/IntelRealSense/librealsense <urlopen error [Errno -2] Name or service not known>
5 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
librealsense1 (rpmlib, GLIBC filtered):
    /bin/bash
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.2)(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)

librealsense1-devel (rpmlib, GLIBC filtered):
    librealsense.so.1()(64bit)
    librealsense1(x86-64)

librealsense1-debugsource (rpmlib, GLIBC filtered):

librealsense1-doc (rpmlib, GLIBC filtered):

librealsense1-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
librealsense1:
    librealsense.so.1()(64bit)
    librealsense1
    librealsense1(x86-64)

librealsense1-devel:
    librealsense1-devel
    librealsense1-devel(x86-64)

librealsense1-debugsource:
    librealsense1-debugsource
    librealsense1-debugsource(x86-64)

librealsense1-doc:
    librealsense1-doc

librealsense1-debuginfo:
    debuginfo(build-id)
    librealsense1-debuginfo
    librealsense1-debuginfo(x86-64)



Source checksums
----------------
https://github.com/IntelRealSense/librealsense/archive/v1.12.1.tar.gz#/librealsense1-1.12.1.tar.gz :
  CHECKSUM(SHA256) this package     : 62fb4afac289ad7e25c81b6be584ee275f3d4d3742468dc7d80222ee2e4671bd
  CHECKSUM(SHA256) upstream package : 62fb4afac289ad7e25c81b6be584ee275f3d4d3742468dc7d80222ee2e4671bd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1528815
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Till Hofmann 2017-12-25 10:09:06 UTC
Spec URL: https://thofmann.fedorapeople.org/librealsense1.spec
SRPM URL: https://thofmann.fedorapeople.org/librealsense1-1.12.1-12.fc28.src.rpm

I added the license file to the doc subpackage.
I think the warnings about header files in the debugsource subpackage is a bug in fedora-review.

Thanks for reviewing!

Comment 3 Antonio T. (sagitter) 2017-12-25 10:32:53 UTC
Approved.

Comment 4 Gwyn Ciesla 2017-12-27 12:57:12 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/librealsense1


Note You need to log in before you can comment on or make changes to this bug.